routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\CustomerController;
use App\Http\Controllers\InvoiceController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/home', function () {
    return view('home');
});


Route::get('/login', function () {
    return view('login');
});

Route::get('/register', function () {
    return view('register');
});

Route::get('/logout', [App\Http\Controllers\HomeController::class, 'logout'])->name('logout');


Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('/dashboard', [App\Http\Controllers\HomeController::class, 'dashboard'])->name('dashboard');
// Route::get('/dashboard', function () {
//     return view('dashboard');
// });

Route::resource('/products', ProductController::class);
Route::resource('/customers', CustomerController::class);
//Route::get('get-customers', [CustomerController::class, 'getCustomers'])->name('get-customers');
Route::resource('/invoices', InvoiceController::class);
Route::post('/viewinvoice', [InvoiceController::class, 'viewinvoice'])->name('view');
Route::get('/viewpage', function(){
    return view('invoices.view');
})->name('viewpage');
Route::post('/getCustomers', [InvoiceController::class, 'getCustomers'])->name('getCustomers');
Route::post('/getProducts', [InvoiceController::class, 'getProducts'])->name('getProducts');

resources/views/layouts/components/footer.blade.php
<div class="body flex-grow-1 px-3">
        <div class="container-lg">
        </div>
      </div>
      <footer class="footer">
        <div><a href="https://coreui.io">CoreUI </a><a href="https://coreui.io">Bootstrap Admin Template</a> © 2023 creativeLabs.</div>
        <div class="ms-auto">Powered by&nbsp;<a href="https://coreui.io/docs/">CoreUI UI Components</a></div>
      </footer>
    </div>
    <!-- CoreUI and necessary plugins-->
    <script src="{{asset('dist/vendors/@coreui/coreui/js/coreui.bundle.min.js')}}"></script>
    <script src="{{asset('dist/vendors/simplebar/js/simplebar.min.js')}}"></script>
    <script src="{{asset('dist/parsley/parsley.js')}}"></script>
    <script src="{{asset('dist/parsley/parsley.min.js')}}"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" ></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/datepicker/1.0.10/datepicker.min.js" ></script>
    <script>
      $(document).ready(function() {
			toastr.options = {
				'closeButton': true,
				'debug': false,
				'newestOnTop': false,
				'progressBar': true,
				'positionClass': 'toast-top-right',
				'preventDuplicates': false,
				// 'showDuration': '500',
				// 'hideDuration': '1000',
				// 'timeOut': '5000000',
				// 'extendedTimeOut': '1000',
				// 'showEasing': 'swing',
				// 'hideEasing': 'linear',
				// 'showMethod': 'fadeIn',
				// 'hideMethod': 'fadeOut',
			}
		});


    var date = new Date();
    var today = new Date(date. getFullYear(), date. getMonth(), date. getDate());
    var end = new Date(date.getFullYear(), date.getMonth(), date.getDate());

      // $(function(){
      //     $("#datepicker").datepicker({
      //       minDate: 0,
      //       format: "mm-dd-yyyy",
      //       todayHighlight: true,
      //       startDate: today,
      //       endDate: end,
      //       autoclose: true

      //     });
      //     $('#datepicker').datepicker('setDate', today);
      // });
    </script>

resources/views/layouts/components/head.blade.php
<base href="./">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta name="description" content="CoreUI - Open Source Bootstrap Admin Template">
    <meta name="author" content="Łukasz Holeczek">
    <meta name="keyword" content="Bootstrap,Admin,Template,Open,Source,jQuery,CSS,HTML,RWD,Dashboard">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>CoreUI Free Bootstrap Admin Template</title>
    <link rel="apple-touch-icon" sizes="57x57" href="{{asset('dist/assets/favicon/apple-icon-57x57.png')}}">
    <link rel="apple-touch-icon" sizes="60x60" href="{{asset('dist/assets/favicon/apple-icon-60x60.png')}}">
    <link rel="apple-touch-icon" sizes="72x72" href="{{asset('dist/assets/favicon/apple-icon-72x72.png')}}">
    <link rel="apple-touch-icon" sizes="76x76" href="{{asset('dist/assets/favicon/apple-icon-76x76.png')}}">
    <link rel="apple-touch-icon" sizes="114x114" href="{{asset('dist/assets/favicon/apple-icon-114x114.png')}}">
    <link rel="apple-touch-icon" sizes="120x120" href="{{asset('dist/assets/favicon/apple-icon-120x120.png')}}">
    <link rel="apple-touch-icon" sizes="144x144" href="{{asset('dist/assets/favicon/apple-icon-144x144.png')}}">
    <link rel="apple-touch-icon" sizes="152x152" href="{{asset('dist/assets/favicon/apple-icon-152x152.png')}}">
    <link rel="apple-touch-icon" sizes="180x180" href="{{asset('dist/assets/favicon/apple-icon-180x180.png')}}">
    <link rel="icon" type="image/png" sizes="192x192" href="{{asset('dist/assets/favicon/android-icon-192x192.png')}}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{asset('dist/assets/favicon/favicon-32x32.png')}}">
    <link rel="icon" type="image/png" sizes="96x96" href="{{asset('dist/assets/favicon/favicon-96x96.png')}}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{asset('dist/assets/favicon/favicon-16x16.png')}}">
    <link rel="manifest" href="{{asset('dist/assets/favicon/manifest.json')}}">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="{{asset('dist/assets/favicon/ms-icon-144x144.png')}}">
    <meta name="theme-color" content="#ffffff">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>

    <!-- Bootstrap -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js"></script>
    <script src="{{asset('dist/parsley/parsley.js')}}"></script>
    <script src="{{asset('dist/parsley/parsley.min.js')}}"></script>
    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">
    <!-- Vendors styles-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/datepicker/1.0.10/datepicker.min.css" />
    <link rel="stylesheet" href="{{asset('dist/vendors/simplebar/css/simplebar.css')}}">
    <link rel="stylesheet" href="{{asset('dist/css/vendors/simplebar.css')}}">
    <!-- Main styles for this application-->
    <link href="{{asset('dist/css/style.css')}}" rel="stylesheet">
    <!-- We use those styles to show code examples, you should remove them in your application.-->
    <link href="{{asset('dist/css/examples.css')}}" rel="stylesheet">
 

resources/views/layouts/components/header.blade.php
<div class="wrapper d-flex flex-column min-vh-100 bg-light">
      <header class="header header-sticky mb-4">
        <div class="container-fluid">
          <button class="header-toggler px-md-0 me-md-3" type="button" onclick="coreui.Sidebar.getInstance(document.querySelector('#sidebar')).toggle()">
            <svg class="icon icon-lg">
              <use xlink:href="{{asset('dist/vendors/@coreui/icons/svg/free.svg#cil-menu')}}"></use>
            </svg>
          </button><a class="header-brand d-md-none" href="{{asset('dist/#')}}">
            <svg width="118" height="46" alt="CoreUI Logo">
              <use xlink:href="{{asset('dist/assets/brand/coreui.svg#full')}}"></use>
            </svg></a>
          <!-- <ul class="header-nav d-none d-md-flex">
            <li class="nav-item"><a class="nav-link" href="/">Dashboard</a></li>
            <li class="nav-item"><a class="nav-link" href="dist/#">Users</a></li>
            <li class="nav-item"><a class="nav-link" href="dist/#">Settings</a></li>
          </ul>
          <ul class="header-nav ms-auto">
            <li class="nav-item"><a class="nav-link" href="dist/#">
                <svg class="icon icon-lg">
                  <use xlink:href="dist/vendors/@coreui/icons/svg/free.svg#cil-bell"></use>
                </svg></a></li>
            <li class="nav-item"><a class="nav-link" href="dist/#">
                <svg class="icon icon-lg">
                  <use xlink:href="dist/vendors/@coreui/icons/svg/free.svg#cil-list-rich"></use>
                </svg></a></li>
            <li class="nav-item"><a class="nav-link" href="dist/#">
                <svg class="icon icon-lg">
                  <use xlink:href="dist/vendors/@coreui/icons/svg/free.svg#cil-envelope-open"></use>
                </svg></a></li>
          </ul> -->
          <ul class="header-nav ms-3">
            <li class="nav-item">{{ Auth::user()->name }}</li>
            <li class="nav-item dropdown"><a class="nav-link py-0" data-coreui-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                <div class="avatar avatar-md"><img class="avatar-img" src="{{asset('dist/assets/img/full.jpg')}}" style="height: 100%;" alt="user@email.com"></div>
              </a>
              <div class="dropdown-menu dropdown-menu-end pt-0">
               

                  <a class="dropdown-item" href="{{route('logout')}}">
                  <svg class="icon me-2">
                    <use xlink:href="{{asset('dist/vendors/@coreui/icons/svg/free.svg#cil-account-logout')}}"></use>
                  </svg> Logout</a>
              </div>
            </li>
          </ul>
        </div>
        <!-- <div class="header-divider"></div> -->
        <!-- <div class="container-fluid"> -->
          <!-- <nav aria-label="breadcrumb">
            <ol class="breadcrumb my-0 ms-2">
              <li class="breadcrumb-item"> -->
                <!-- if breadcrumb is single-->
                <!-- <span>Home</span>
              </li>
              <li class="breadcrumb-item active"><span>Blank</span></li>
            </ol>
          </nav> -->
        <!-- </div> -->
      </header>

resources/views/layouts/components/sidebar.blade.php
<div class="sidebar sidebar-dark sidebar-fixed" id="sidebar">
      <div class="sidebar-brand d-none d-md-flex">
        <svg class="sidebar-brand-full" width="118" height="46" alt="CoreUI Logo">
          <use xlink:href="{{asset('dist/assets/brand/coreui.svg#full')}}"></use>
        </svg>
        <svg class="sidebar-brand-narrow" width="46" height="46" alt="CoreUI Logo">
          <use xlink:href="{{asset('dist/assets/brand/coreui.svg#signet')}}"></use>
        </svg>
      </div>
      <ul class="sidebar-nav" data-coreui="navigation" data-simplebar="">
        
        <li class="nav-title">Components</li>
        <li class="nav-item"><a class="nav-link" href="{{route('home')}}">
            <svg class="nav-icon">
              <use xlink:href="{{asset('dist/vendors/@coreui/icons/svg/free.svg#cil-home')}}"></use>
            </svg>Home</a></li>
        <!-- <li class="nav-item"><a class="nav-link" href="{{route('login')}}">
            <svg class="nav-icon">
              <use xlink:href="{{asset('dist/vendors/@coreui/icons/svg/free.svg#cil-drop')}}"></use>
            </svg> Login</a></li>
        <li class="nav-item"><a class="nav-link" href="{{route('register')}}">
            <svg class="nav-icon">
              <use xlink:href="{{asset('dist/vendors/@coreui/icons/svg/free.svg#cil-pencil')}}"></use>
            </svg>Register</a></li> -->

            <li class="nav-item"><a class="nav-link" href="{{route('dashboard')}}">
            <svg class="nav-icon">
              <use xlink:href="{{asset('dist/vendors/@coreui/icons/svg/free.svg#cil-clipboard')}}"></use>
            </svg>Dashboard</a></li>

            <li class="nav-item"><a class="nav-link" href="{{ route('products.index') }}">
            <svg class="nav-icon">
              <use xlink:href="{{asset('dist/vendors/@coreui/icons/svg/free.svg#cil-clipboard')}}"></use>
            </svg>Products</a></li>
        
            <li class="nav-item"><a class="nav-link" href="{{ route('customers.index') }}">
            <svg class="nav-icon">
              <use xlink:href="{{asset('dist/vendors/@coreui/icons/svg/free.svg#cil-user')}}"></use>
            </svg>Customers</a></li>

            <li class="nav-item"><a class="nav-link" href="{{ route('invoices.index') }}">
            <svg class="nav-icon">
              <use xlink:href="{{asset('dist/vendors/@coreui/icons/svg/free.svg#cil-user')}}"></use>
            </svg>Invoices</a></li>
        
      </ul>
      <button class="sidebar-toggler" type="button" data-coreui-toggle="unfoldable"></button>
    </div>